from interface.network.Router import Router


class RouterManager:
    def __init__(self) -> None:
        super().__init__()

    def create(self, ) -> Router:
        raise NotImplementedError

    def get(self, id) -> Router:
        raise NotImplementedError

    def delete(self, id) -> bool:
        raise NotImplementedError

    def list(self) -> []:
        raise NotImplementedError
