from interface.network.Subnet import Subnet


class SubnetManager:
    def __init__(self) -> None:
        super().__init__()

    def create(self, network_id, ip_version, cidr) -> Subnet:
        raise NotImplementedError

    def get(self, id) -> Subnet:
        raise NotImplementedError

    def delete(self, id) -> bool:
        raise NotImplementedError

    def list(self) -> []:
        raise NotImplementedError
