import json


class Network:
    def __init__(self,
                 id,
                 name,
                 status,
                 subnet_ids,
                 created_at
                 ) -> None:
        super().__init__()

        self.id = id
        self.name = name
        self.status = status
        self.subnet_ids = subnet_ids
        self.created_at = created_at

    def __str__(self) -> str:
        return self.toJSON()

    def toJSON(self):
        return json.dumps(self.__dict__)
