from interface.network.Network import Network


class NetworkManager:
    def __init__(self) -> None:
        super().__init__()

    def create(self) -> Network:
        raise NotImplementedError

    def get(self, id) -> Network:
        raise NotImplementedError

    def delete(self, id) -> bool:
        raise NotImplementedError

    def list(self) -> []:
        raise NotImplementedError
