import json


class Subnet:
    def __init__(self,
                 id,
                 network_id,
                 name,
                 cidr,
                 ip_version,
                 gateway_ip,
                 is_dhcp_enabled,
                 created_at
                 ) -> None:
        super().__init__()

        self.id = id
        self.network_id = network_id
        self.name = name
        self.cidr = cidr
        self.ip_version = ip_version
        self.gateway_ip = gateway_ip
        self.is_dhcp_enabled = is_dhcp_enabled
        self.created_at = created_at

    def __str__(self) -> str:
        return self.toJSON()

    def toJSON(self):
        return json.dumps(self.__dict__)
